diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -5549,8 +5549,8 @@ ebc_frame_start:
 	ldr	w1, [x20, 208]
 	bl	flip.isra.7
 .LVL470:
-.LBE1386:
-.LBE1385:
+.LBE1398:
+.LBE1397:
 	.loc 1 1032 0
 	ldp	x1, x2, [x19, 128]
 	mov	x4, x19
@@ -5588,8 +5588,8 @@ ebc_frame_start:
 	ldr	x1, [x1, 16]
 	bl	direct_mode_data_change
 .LVL474:
-.LBB1387:
-.LBB1388:
+.LBB1399:
+.LBB1400:
 	.loc 1 1014 0
 	str	wzr, [x21, 72]
 	.loc 1 1015 0
@@ -5597,8 +5597,8 @@ ebc_frame_start:
 	ldr	w1, [x20, 208]
 	bl	flip.isra.7
 .LVL475:
-.LBE1388:
-.LBE1387:
+.LBE1400:
+.LBE1399:
 	.loc 1 1089 0
 	ldr	w0, [x19, 40]
 	.loc 1 1090 0
@@ -5721,15 +5721,15 @@ ebc_auto_tast_function:
 	stp	x23, x24, [sp, 48]
 	.cfi_offset 23, -48
 	.cfi_offset 24, -40
-.LBB1389:
-.LBB1390:
-.LBB1391:
+.LBB1401:
+.LBB1402:
+.LBB1403:
 	.file 12 "./include/linux/compiler.h"
 	.loc 12 288 0
 	mov	x24, 2
-.LBE1391:
-.LBE1390:
-.LBE1389:
+.LBE1403:
+.LBE1402:
+.LBE1401:
 	.loc 1 1101 0
 	stp	x25, x26, [sp, 64]
 	.cfi_offset 25, -32
@@ -5744,9 +5744,9 @@ ebc_auto_tast_function:
 	str	x1, [x29, 88]
 	mov	x1,0
 	adrp	x25, system_wq
-.LBB1396:
-.LBB1393:
-.LBB1394:
+.LBB1408:
+.LBB1405:
+.LBB1406:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -5757,9 +5757,9 @@ ebc_auto_tast_function:
 	b	.L565
 	.p2align 3
 .L582:
-.LBE1394:
-.LBE1393:
-.LBE1396:
+.LBE1406:
+.LBE1405:
+.LBE1408:
 	.loc 1 1112 0
 	cbnz	w0, .L555
 	.loc 1 1122 0
@@ -5798,14 +5798,14 @@ ebc_auto_tast_function:
 	mov	x0, x20
 	bl	down
 .LVL492:
-.LBB1397:
-.LBB1395:
-.LBB1392:
+.LBB1409:
+.LBB1407:
+.LBB1404:
 	.loc 12 288 0
 	str	x24, [x23, 32]
-.LBE1392:
-.LBE1395:
-.LBE1397:
+.LBE1404:
+.LBE1407:
+.LBE1409:
 	.loc 1 1111 0
 #APP
 // 1111 "drivers/gpu/drm/rockchip/ebc-dev/ebc_dev.c" 1
@@ -5853,10 +5853,10 @@ ebc_auto_tast_function:
 	cbnz	w0, .L583
 	.p2align 2
 .L563:
-.LBB1398:
-.LBB1399:
-.LBB1400:
-.LBB1401:
+.LBB1410:
+.LBB1411:
+.LBB1412:
+.LBB1413:
 	.file 13 "./include/linux/workqueue.h"
 	.loc 13 518 0
 	ldr	x1, [x25, #:lo12:system_wq]
@@ -5867,10 +5867,10 @@ ebc_auto_tast_function:
 	b	.L564
 	.p2align 3
 .L555:
-.LBE1401:
-.LBE1400:
-.LBE1399:
-.LBE1398:
+.LBE1413:
+.LBE1412:
+.LBE1411:
+.LBE1410:
 	.loc 1 1149 0
 	ldr	w1, [x19, 40]
 	.loc 1 1150 0
@@ -5925,10 +5925,10 @@ ebc_auto_tast_function:
 	.loc 1 1162 0 is_stmt 0 discriminator 2
 	ldr	w0, [x19, 608]
 	cbz	w0, .L564
-.LBB1405:
-.LBB1404:
-.LBB1403:
-.LBB1402:
+.LBB1417:
+.LBB1416:
+.LBB1415:
+.LBB1414:
 	.loc 13 518 0 is_stmt 1
 	ldr	x1, [x25, #:lo12:system_wq]
 	mov	x2, x26
@@ -5936,10 +5936,10 @@ ebc_auto_tast_function:
 	bl	queue_work_on
 .LVL500:
 	b	.L564
-.LBE1402:
-.LBE1403:
-.LBE1404:
-.LBE1405:
+.LBE1414:
+.LBE1415:
+.LBE1416:
+.LBE1417:
 	.cfi_endproc
 .LFE2822:
 	.size	ebc_auto_tast_function, .-ebc_auto_tast_function
@@ -5967,28 +5967,28 @@ ebc_power_set.part.8:
 	.loc 1 198 0
 	ldr	x1, [x0, 8]
 .LVL502:
-.LBB1406:
-.LBB1407:
+.LBB1418:
+.LBB1419:
 	.loc 11 51 0
 	mov	x0, x1
 .LVL503:
 	ldr	x1, [x1, 56]
 	blr	x1
 .LVL504:
-.LBE1407:
-.LBE1406:
+.LBE1419:
+.LBE1418:
 	.loc 1 199 0
 	ldr	x2, [x19, 16]
-.LBB1408:
-.LBB1409:
+.LBB1420:
+.LBB1421:
 	.loc 3 35 0
 	mov	w1, 0
 	mov	x0, x2
 	ldr	x2, [x2, 32]
 	blr	x2
 .LVL505:
-.LBE1409:
-.LBE1408:
+.LBE1421:
+.LBE1420:
 	.loc 1 200 0
 	ldr	w0, [x19, 608]
 	cbnz	w0, .L590
@@ -6015,14 +6015,14 @@ ebc_power_set.part.8:
 	.cfi_restore_state
 	.loc 1 201 0
 	str	wzr, [x19, 608]
-.LBB1410:
-.LBB1411:
+.LBB1422:
+.LBB1423:
 	.loc 4 68 0
 	add	x0, x19, 400
 	bl	__pm_relax
 .LVL509:
-.LBE1411:
-.LBE1410:
+.LBE1423:
+.LBE1422:
 	.loc 1 204 0
 	ldr	x0, [x19]
 	adrp	x1, .LC22
@@ -6047,7 +6047,7 @@ ebc_power_set.part.8:
 	.type	ebc_suspend, %function
 ebc_suspend:
 .LFB2850:
-	.loc 1 2444 0
+	.loc 1 2470 0
 	.cfi_startproc
 .LVL512:
 	stp	x29, x30, [sp, -32]!
@@ -6059,40 +6059,40 @@ ebc_suspend:
 	stp	x19, x20, [sp, 16]
 	.cfi_offset 19, -16
 	.cfi_offset 20, -8
-.LBB1412:
-.LBB1413:
+.LBB1424:
+.LBB1425:
 	.loc 2 1181 0
 	ldr	x20, [x0, 184]
-.LBE1413:
-.LBE1412:
-	.loc 1 2448 0
+.LBE1425:
+.LBE1424:
+	.loc 1 2474 0
 	add	x19, x20, 184
 	ldr	w0, [x19, 184]
 .LVL513:
 	cmp	w0, 1
 	beq	.L594
 .L592:
-	.loc 1 2452 0
+	.loc 1 2478 0
 	mov	w0, 1
 	str	w0, [x19, 596]
-	.loc 1 2454 0
+	.loc 1 2480 0
 	ldr	x1, [x20, 16]
-.LBB1414:
-.LBB1415:
+.LBB1426:
+.LBB1427:
 	.loc 3 40 0
 	mov	x0, x1
 	ldr	x1, [x1, 40]
 	blr	x1
 .LVL514:
-.LBE1415:
-.LBE1414:
-	.loc 1 2455 0
+.LBE1427:
+.LBE1426:
+	.loc 1 2481 0
 	ldr	x0, [x19, 88]
 	adrp	x1, .LC24
 	add	x1, x1, :lo12:.LC24
 	bl	_dev_info
 .LVL515:
-	.loc 1 2458 0
+	.loc 1 2484 0
 	mov	w0, 0
 	ldp	x19, x20, [sp, 16]
 	ldp	x29, x30, [sp], 32
@@ -6106,7 +6106,7 @@ ebc_suspend:
 	.p2align 3
 .L594:
 	.cfi_restore_state
-	.loc 1 2449 0
+	.loc 1 2475 0
 	ldr	x0, [x19, 88]
 	adrp	x2, .LANCHOR3
 	add	x2, x2, :lo12:.LANCHOR3
@@ -6115,15 +6115,15 @@ ebc_suspend:
 	add	x1, x1, :lo12:.LC23
 	bl	_dev_info
 .LVL516:
-.LBB1416:
-.LBB1417:
+.LBB1428:
+.LBB1429:
 	mov	w1, 0
 	mov	x0, x20
 	bl	ebc_power_set.part.8
 .LVL517:
 	b	.L592
-.LBE1417:
-.LBE1416:
+.LBE1429:
+.LBE1428:
 	.cfi_endproc
 .LFE2850:
 	.size	ebc_suspend, .-ebc_suspend
